#!/bin/bash

# Change into the proper directory where all the scripts are located.
DIR=$(dirname $0)
cd $DIR

ME=`echo $HOSTNAME|awk -F. '{print $1}'`
ACTIVE=$(tmsh show cm failover-status | grep ACTIVE | wc -l)

if [[ "${ACTIVE}" = "1" ]]; then
    echo "Unit is active - proceeding..."
    /shared/letsencrypt/letsencrypt.sh -c | mail -s "Lets Encrypt Report $ME" example@example.com
fi

